VERSION=$(shell git describe --tags | sed 's/^v//' )
BUILD=$(shell date +%FT%T%z)

all:
	docker run --rm -v $(PWD):/root/go/src/git.scraperwall.com/scw/munchclient -w /root/go/src/git.scraperwall.com/scw/munchclient centos-build:latest make compile

compile:
	env GOOS=linux GOARCH=amd64 go build -tags netgo -ldflags "-s -X main.Version=$(VERSION) -X main.BuildDate=$(BUILD)"

